Bug 91469 - Unable to sync my Sony Clié since upgrading to kernel 2.4.20-13.9
Unable to sync my Sony Clié since upgrading to kernel 2.4.20-13.9
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 17:28 EDT by Hervé Rilos
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hervé Rilos 2003-05-22 17:28:23 EDT
Description of problem:
After upgrading my from kernel-2.4.20-9 to kernel-2.4.20-13.9 my Sony Clié NR70V
is no longer syncing. I can't kill (even with -9 signal) any app wich tries to
access to /dev/ttyUSB0. I can't rmmod visor either.

Version-Release number of selected component (if applicable):
2.4.20-13.9

How reproducible:
Always

Steps to Reproduce:
1. Put a Clié NR70V on its craddle and press the sync button
2. Launch a sync app (jpilot, gnome-pilot, etc.) or try to cat /dev/ttyUSB0
3. 
    
Actual results:
The apps descrive above don't work. The USB port is no longer reachable. Visor
module can't be removed.

Expected results:
A normal syncing of my device like with kernel-2.4.20-9

Additional info:
May 22 23:05:49 madinina kernel: hub.c: new USB device 00:1f.2-2, assigned address 2
May 22 23:05:49 madinina kernel: usb.c: USB device 2 (vend/prod 0x54c/0x9a) is
not claimed by any active driver.
May 22 23:05:49 madinina modprobe: modprobe: Can't locate module char-major-188
May 22 23:05:52 madinina last message repeated 3 times
May 22 23:05:52 madinina /etc/hotplug/usb.agent: Setup visor for USB product
54c/9a/100
May 22 23:05:52 madinina kernel: usb.c: registered new driver serial
May 22 23:05:52 madinina kernel: usbserial.c: USB Serial support registered for
Generic
May 22 23:05:52 madinina kernel: usbserial.c: USB Serial Driver core v1.4
May 22 23:05:52 madinina kernel: usbserial.c: USB Serial support registered for
Handspring Visor / Treo / Palm 4.0 / Clié 4.x
May 22 23:05:52 madinina kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0
/ Clié 4.x converter detected
May 22 23:05:52 madinina kernel: usb-uhci.c: interrupt, status 2, frame# 966
May 22 23:05:55 madinina kernel: usb_control/bulk_msg: timeout
May 22 23:05:55 madinina kernel: visor.c: visor_startup - error -110 getting
connection info
May 22 23:05:55 madinina kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0
/ Clié 4.x converter now attached to ttyUSB0 (or usb/tts/0 for devfs)
May 22 23:05:55 madinina kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0
/ Clié 4.x converter now attached to ttyUSB1 (or usb/tts/1 for devfs)
May 22 23:05:55 madinina kernel: usbserial.c: USB Serial support registered for
Sony Clié 3.5
May 22 23:05:55 madinina kernel: visor.c: USB HandSpring Visor, Palm m50x, Treo,
Sony Clié driver v1.7
Comment 1 Pete Zaitcev 2003-06-03 16:53:42 EDT
Does the 2.4.20-18 work? I'm not sure if it would, but it fixes some
usb-uhci problems.
Comment 2 Bugzilla owner 2004-09-30 11:40:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.